/****** Object:  Trigger [dbo].[AccFactorDetail_LastUpdate]    Script Date: 27/10/2024 02:35:10 ب.ظ ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO



ALTER TRIGGER [dbo].[AccFactorDetail_LastUpdate]
ON [dbo].[AccFactorDetail] FOR UPDATE 
	AS
	SET NOCOUNT ON;
	if not (UPDATE(UpdateDate))
		update AccFactorDetail set UpdateDate=getdate() where id in (select id from inserted)

     	--update AppSetting set TheValue = dbo.StrDate(getdate()) where [Name]='AccFactorDetailLastUpdate'
	return